BindTargets (Apache Ant API)
Date: 2018-07-10

org.apache.tools.ant.taskdefs

## Class BindTargets

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.BindTargets

- All Implemented Interfaces:
    java.lang.Cloneable

      public class BindTargets
      extends Task

  Simple task which bind some targets to some defined extension point

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindTargets()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Called by the project to let the task do its work.
    `void` | `setExtensionPoint(java.lang.String extensionPoint)`
    `void` | `setOnMissingExtensionPoint(ProjectHelper.OnMissingExtensionPoint onMissingExtensionPoint)`
    `void` | `setOnMissingExtensionPoint(java.lang.String onMissingExtensionPoint)`
    `void` | `setTargets(java.lang.String target)`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindTargets

          public BindTargets()

  - ### Method Detail

    - #### setExtensionPoint

          public void setExtensionPoint(java.lang.String extensionPoint)

    - #### setOnMissingExtensionPoint

          public void setOnMissingExtensionPoint(java.lang.String onMissingExtensionPoint)

    - #### setOnMissingExtensionPoint

          public void setOnMissingExtensionPoint(ProjectHelper.OnMissingExtensionPoint onMissingExtensionPoint)

    - #### setTargets

          public void setTargets(java.lang.String target)

    - #### execute

          public void execute()
                       throws BuildException

      Description copied from class: `Task`
      Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if something goes wrong with the build.